# Gimp.context_set_interpolation

    @accepts(Gimp.InterpolationType)
    @returns(bool)
    def context_set_interpolation(interpolation):
        # Python wrapper for gimp_context_set_interpolation()

Set the interpolation type.

Modifies the interpolation setting.

This setting affects affects the following procedures: Gimp.Item.transform_flip, Gimp.Item.transform_perspective, Gimp.Item.transform_rotate, Gimp.Item.transform_scale, Gimp.Item.transform_shear, Gimp.Item.transform_2d, Gimp.Item.transform_matrix, Gimp.Image.scale, Gimp.Layer.scale.

Since 2.8

interpolation

  The interpolation type.

Returns